
From: Andrew Morton <akpm@osdl.org>

u_int64_t isn't always implemented as unsigned long long.

Cc: <ckrm-tech@lists.sourceforge.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/proc/array.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff -puN fs/proc/array.c~ckrm-processor-delay-accounting-warning-fixes fs/proc/array.c
--- devel/fs/proc/array.c~ckrm-processor-delay-accounting-warning-fixes	2005-07-26 00:38:23.000000000 -0700
+++ devel-akpm/fs/proc/array.c	2005-07-26 00:38:23.000000000 -0700
@@ -489,13 +489,13 @@ int proc_pid_delay(struct task_struct *t
 	int res;
 
 	res  = sprintf(buffer,"%u %llu %llu %u %llu %u %llu\n",
-		       (unsigned int) get_delay(task,runs),
-		       (uint64_t) get_delay(task,runcpu_total),
-		       (uint64_t) get_delay(task,waitcpu_total),
-		       (unsigned int) get_delay(task,num_iowaits),
-		       (uint64_t) get_delay(task,iowait_total),
-		       (unsigned int) get_delay(task,num_memwaits),
-		       (uint64_t) get_delay(task,mem_iowait_total)
+			(unsigned int)get_delay(task,runs),
+			(unsigned long long)get_delay(task,runcpu_total),
+			(unsigned long long)get_delay(task,waitcpu_total),
+			(unsigned int)get_delay(task,num_iowaits),
+			(unsigned long long)get_delay(task,iowait_total),
+			(unsigned int)get_delay(task,num_memwaits),
+			(unsigned long long)get_delay(task,mem_iowait_total)
 		);
 	return res;
 }
_
